Packs
These API endpoints are related to Omniplex packs
Gets a pack on the list based on the URL.
id*stringThe URL of the pack.
Success
application/json- response
bot_ids?array<>The pack's bot IDs (pack_type=bot only)
bots?array<>The resolved bots in the pack
created_at?stringThe pack's creation date
date-timeemojis?array<>The pack's emojis (pack_type=emoji only), resolved from pack_emojis
name?stringThe pack's name
owner?The resolved owner of the pack
pack_type?stringWhat the pack bundles: bot, server, emoji, or sticker
server_ids?array<>The pack's server IDs (pack_type=server only)
servers?array<>The resolved servers in the pack
short?stringThe pack's short description
sounds?array<>The pack's sounds (pack_type=sound only), resolved from pack_sounds
stickers?array<>The pack's stickers (pack_type=sticker only), resolved from pack_stickers
tags?array<>The pack's tags
url?stringThe pack's URL
vote_banned?booleanWhether the pack is banned from voting
votes?integerThe pack's vote count
curl -X GET 'https://spider.omniplex.gg/packs/string'{ "bot_ids": [ "string" ], "bots": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "created_at": "2019-08-24T14:15:22Z", "emojis": [ { "animated": true, "downloads": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "name": "string", "owner": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "pack_type": "string", "server_ids": [ "string" ], "servers": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "avatar": "string", "boosted_until": "2019-08-24T14:15:22Z", "card_color": "string", "clicks": 0, "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "name": "string", "nsfw": true, "online_members": 0, "premium": true, "server_id": "string", "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "state": "string", "supporter_badge": true, "tags": [ "string" ], "total_members": 0, "type": "string", "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "votes": 0 } ], "short": "string", "sounds": [ { "downloads": 0, "duration_ms": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "stickers": [ { "animated": true, "downloads": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "tags": [ "string" ], "url": "string", "vote_banned": true, "votes": 0}Gets the minimal SEO information about a pack for embed/search purposes. Used by v4 website for meta tags
id*stringThe packs ID, name or vanity
Success
application/json- response
avatar?stringThe entities resolved avatar URL (not just hash)
id?stringID of the entity
name?stringName of the entity
short?stringShort description of the entity
vanity?stringThe entity's vanity code, used to build its canonical URL. Omitted when it has none
curl -X GET 'https://spider.omniplex.gg/packs/string/seo'{ "avatar": "string", "id": "string", "name": "string", "short": "string", "vanity": "string"}Gets packs on the list, filtered and sorted. Packs with a description under 20 characters are left out unless all=true. This endpoint is paginated.
page?stringThe page number
pack_type?stringFilter to only packs of this type (bot, server, emoji, sticker, or sound). Omit to return every type.
sort?stringnew (default, newest first) or votes (net votes, then most bots and servers, then newest).
all?stringtrue to include packs with a description under 20 characters.
Success
application/json- response
count?integer0 <= value <= 18446744073709552000per_page?integer0 <= value <= 18446744073709552000results?array<>curl -X GET 'https://spider.omniplex.gg/packs/@all'{ "count": 0, "per_page": 0, "results": [ { "bot_ids": [ "string" ], "bots": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "created_at": "2019-08-24T14:15:22Z", "emojis": [ { "animated": true, "downloads": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "name": "string", "owner": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "pack_type": "string", "server_ids": [ "string" ], "servers": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "avatar": "string", "boosted_until": "2019-08-24T14:15:22Z", "card_color": "string", "clicks": 0, "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "name": "string", "nsfw": true, "online_members": 0, "premium": true, "server_id": "string", "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "state": "string", "supporter_badge": true, "tags": [ "string" ], "total_members": 0, "type": "string", "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "votes": 0 } ], "short": "string", "sounds": [ { "downloads": 0, "duration_ms": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "stickers": [ { "animated": true, "downloads": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "tags": [ "string" ], "url": "string", "vote_banned": true, "votes": 0 } ]}Creates a pack. Returns 204 on success
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe user's ID
application/json- body
bots?array<string>emojis?array<>name?stringpack_type?string"bot""server""emoji""sticker""sound"servers?array<string>short?stringsounds?array<>stickers?array<>tags?array<string>url?stringSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/users/string/packs' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Edits a pack you are owner of based on the URL only. Returns 204 on success
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
uid*stringThe user's ID
id*stringThe pack's URL
application/json- body
bots?array<string>emojis?array<>name?stringservers?array<string>short?stringsounds?array<>stickers?array<>tags?array<string>Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/users/string/packs/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Deletes a pack by URL. You must be the owner of the pack to delete packs. Returns 204 on success
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
uid*stringThe user's ID
id*stringThe pack's URL
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/users/string/packs/string'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}